# angular-passchecker package

Simple password strength checker. This package was based from https://github.com/nuveo/passchecker.

## Installation

1. Install by npm:

    `npm install angular-passchecker --save`

## Usage

```typescript
import { AngularPasscheckerModule } from "angular-passchecker";

@NgModule({
    imports: [
        // ...
        AngularPasscheckerModule
    ],
    declarations: [
        App
    ],
    bootstrap: [
        App
    ]
})
export class AppModule {

}
```

## Sample

```html
<h3>Using safe password percent from 0 to 100.</h3>
<div>Your password is {{ password | passchecker: 'percent' }}% safe!</div>

<h3>Using password strength from 6.0 to 10.</h3>
<div>Your password has {{ password | passchecker: 'strength' }} of strength!</div>
```
