import { defaultConfig } from './angular-passchecker.config';
var PassChecker = /** @class */ (function () {
    function PassChecker() {
        this.defaultConfig = defaultConfig;
    }
    PassChecker.prototype.getStrength = function (password) {
        var _this = this;
        var strengthRange = [0, 0]; // [strength, strengthPercent]
        var sumRuneOccurrences = {};
        Array.from(password).forEach(function (char, index) {
            // default value
            var charValue = 1.0;
            // get rune value by frequency in language
            var characterweight = _this.defaultConfig.weightOfCharacters[char];
            if (characterweight) {
                charValue = characterweight;
            }
            ;
            // penalty for char sequencing
            if (index > 0) {
                if (_this.defaultConfig.characterSequence.includes(password.slice(0, index))) {
                    charValue -= (charValue / 4.0);
                }
            }
            // registry number of rune occurrence
            sumRuneOccurrences[char] = (sumRuneOccurrences[char]) ? sumRuneOccurrences[char] + 1 : 1;
            // compute rune value
            strengthRange[0] += (charValue / sumRuneOccurrences[char]);
        });
        if (strengthRange[0] > this.defaultConfig.strengthRange.start
            && strengthRange[0] < this.defaultConfig.strengthRange.end) {
            strengthRange[1] = (strengthRange[0] - this.defaultConfig.strengthRange.start) * (100.0) /
                (this.defaultConfig.strengthRange.end - this.defaultConfig.strengthRange.start);
        }
        if (strengthRange[0] > this.defaultConfig.strengthRange.end) {
            strengthRange[1] = 100.0;
        }
        return strengthRange;
    };
    return PassChecker;
}());
export { PassChecker };
//# sourceMappingURL=passchecker.js.map